Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class MethodCaller

A helper class to invoke methods more easily in ASM

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`String` | `internalName`
`String` | `methodDescriptor`
`String` | `name`
`int` | `opcode`
`Class` | `theClass`

Constructor Summary
`MethodCaller(int opcode, Class theClass, String name)`

Method Summary
`void` | `call(MethodVisitor methodVisitor)`
`Method` | `getMethod()`
`String` | `getMethodDescriptor()`
`static MethodCaller` | `newInterface(Class theClass, String name)`
`static MethodCaller` | `newStatic(Class theClass, String name)`
`static MethodCaller` | `newVirtual(Class theClass, String name)`

Constructor Detail

### MethodCaller

    public MethodCaller(int opcode, Class theClass, String name)

Method Detail

### call

    public void call(MethodVisitor methodVisitor)

### getMethod

    Method getMethod()

### getMethodDescriptor

    public String getMethodDescriptor()

### newInterface

    public static MethodCaller newInterface(Class theClass, String name)

### newStatic

    public static MethodCaller newStatic(Class theClass, String name)

### newVirtual

    public static MethodCaller newVirtual(Class theClass, String name)